Bug 492707 - Banshee eats up 100% CPU when downloading album cover art
Banshee eats up 100% CPU when downloading album cover art
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 12:30 EDT by Saad Javed
Modified: 2014-11-27 12:57 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4.2-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 21:22:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated banshee to fix it (2.32 MB, application/octet-stream)
2009-04-02 05:40 EDT, David Nielsen
no flags Details

  None (edit)
Description Saad Javed 2009-03-28 12:30:08 EDT
Description of problem:
When "Download Album Cover Art" is selected in Banshee 1.4.2, the program 'banshee-1' starts utilizing 100% of the cpu leading to sluggish system performance. The system resources are only relinquished upon manually exiting the program. Stopping the "Album Cover Art" script does not lower cpu usage. The interface, however, remains responsive. 

Version-Release number of selected component (if applicable):
1.4.2

How reproducible:
Ask Banshee to fetch "Album Cover Art" and watch as it wolfs your resources like cookie monster!

Steps to Reproduce:
1. Install Fedora 10
2. Open Banshee
3. Click "Download Cover Art" under Tools
  
Actual results:
100% cpu usage

Expected results:
Reasonable cpu usage. A script shouldn't need the complete attention of the cpu.

Additional info:
Comment 1 David Nielsen 2009-03-28 12:58:56 EDT
Thank you for filing this bug, however this specific problem is known to upstream and is under active investigation. I would suggest you subscribe to these bugs.

http://bugzilla.gnome.org/show_bug.cgi?id=548131
http://bugzilla.gnome.org/show_bug.cgi?id=575110

http://mail.gnome.org/archives/banshee-list/2009-March/msg00216.html
Comment 2 David Nielsen 2009-03-28 19:10:18 EDT
Michal, can you please apply the patch from the linked upstream report and issue an update. It should fix this, and the patch is included in SVN post 1.4.3
Comment 3 David Nielsen 2009-04-02 05:40:46 EDT
Created attachment 337760 [details]
updated banshee to fix it

Michel, here is an updated banshee with the patch applied.
Comment 4 David Nielsen 2009-04-23 18:02:34 EDT
Michel, ping - it has been a while and there is a fix. I can I bribe you with beer and doughnuts to stop the hurting?
Comment 5 Tom "spot" Callaway 2009-04-23 18:09:47 EDT
I'm not Michel, but I always accept bribes.

F-11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1317812

When it finishes building, I'll request freeze break for Fedora 11 final (too late for the Preview).
Comment 6 David Nielsen 2009-04-23 18:29:39 EDT
Where do I send your doughnuts and beer my good man. Thank you for fixing this one it is causing our users a great deal of grief.
Comment 7 Tom "spot" Callaway 2009-04-27 09:47:37 EDT
This is now tagged into F-11 and rawhide. I'm hesitant to bump F-10 to the same level, but I will try to carry this patch backwards.
Comment 8 David Nielsen 2009-04-27 10:28:26 EDT
You can safely bump F10 as well, 1.4.3 is an incremental, but important, set of updates which our users should have had their hands on a while ago. We can let them simmer in updates-testing for a while.

Btw. both the patches applied have been applied to upstream git and can disappear once 1.5.x and eventually 1.6 arrives. 1.5.0 is slated to come out very soon.
Comment 9 Tom "spot" Callaway 2009-04-27 10:52:50 EDT
(In reply to comment #8)
> You can safely bump F10 as well, 1.4.3 is an incremental, but important, set of
> updates which our users should have had their hands on a while ago. We can let
> them simmer in updates-testing for a while.

I'm concerned about the new bugs which do not seem to affect F-10, like:
https://bugzilla.redhat.com/show_bug.cgi?id=497693

I'd rather not push an update that breaks existing functionality until a fix is available for 497693.
Comment 10 Fedora Update System 2009-04-27 15:52:02 EDT
banshee-1.4.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/banshee-1.4.2-4.fc10
Comment 11 Fedora Update System 2009-04-27 21:22:31 EDT
banshee-1.4.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.